wishlist: demote pulseaudio-esound-compat to Suggests

Bug #930703 reported by Martin-Éric Racine
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
esound (Ubuntu)
Fix Released
Low
Unassigned
pulseaudio (Ubuntu)
Fix Released
Low
Unassigned

Bug Description

While keeping pulseaudio-esound-compat as Recommends made sense during the long period when desktop environments transitioned from Esound to PulseAudio, it no longer does in a situation when PA became a standard distribution features since before Hardy. This proposition is therefore to demote pulseaudio-esound-compat to a mere Suggests. The main benefit of this will be to close a deprecated Esound port that no longer serves any meaningful purpose.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: pulseaudio 1:1.1-0ubuntu7
ProcVersionSignature: Ubuntu 3.2.0-15.24-generic-pae 3.2.5
Uname: Linux 3.2.0-15-generic-pae i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 1.91-0ubuntu1
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: meracine 1806 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xefebc000 irq 44'
   Mixer name : 'SigmaTel STAC9200'
   Components : 'HDA:83847690,10280201,00102201 HDA:14f12c06,14f1000f,00100000'
   Controls : 14
   Simple ctrls : 7
Date: Sat Feb 11 19:19:57 2012
ProcEnviron:
 LANGUAGE=fi:en
 PATH=(custom, user)
 LANG=fi_FI.UTF-8
 SHELL=/bin/bash
SourcePackage: pulseaudio
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 06/20/2007
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A01
dmi.board.name: 000007
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA01:bd06/20/2007:svnDellInc.:pnLatitudeD430:pvr:rvnDellInc.:rn000007:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: Latitude D430
dmi.sys.vendor: Dell Inc.
modified.conffile..etc.pulse.default.pa: [modified]
mtime.conffile..etc.pulse.default.pa: 2012-02-11T15:45:15

Revision history for this message
Martin-Éric Racine (q-funk) wrote :
Revision history for this message
Martin-Éric Racine (q-funk) wrote :

Would it be possible to do this for Precise?

Changed in pulseaudio (Ubuntu):
milestone: none → ubuntu-12.04
Revision history for this message
Martin Pitt (pitti) wrote :

I think it'd be a good idea. If we do this, we should promote libesd0's Suggests: pulseaudio-esound-compat to a Recommends, so that anything which still actually uses libesd will still get it.

Changed in esound (Ubuntu):
status: New → Triaged
Changed in pulseaudio (Ubuntu):
status: New → Triaged
Changed in esound (Ubuntu):
importance: Undecided → Low
Changed in pulseaudio (Ubuntu):
importance: Undecided → Low
Revision history for this message
Martin-Éric Racine (q-funk) wrote :

This sounds reasonable. The list of packages that rdepends on libesd0 seems rather short already, also.

Changed in pulseaudio (Ubuntu):
milestone: ubuntu-12.04 → ubuntu-12.04-beta-2
Changed in esound (Ubuntu):
milestone: none → ubuntu-12.04-beta-2
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:1.1-0ubuntu12

---------------
pulseaudio (1:1.1-0ubuntu12) precise; urgency=low

  [ Luke Yelavich ]
  * debian/control: Demote pulseaudio-esound-compat to suggests (LP: #930703)

  [ David Henningsson ]
  * 0110-flist-Avoid-the-ABA-problem.patch:
    Fix occasional crashes in pa_memblock_free, pa_memblock_ref and drop_block
    (LP: #924416)
 -- David Henningsson <email address hidden> Fri, 09 Mar 2012 00:08:42 +0100

Changed in pulseaudio (Ubuntu):
status: Triaged → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package esound - 0.2.41-10build3

---------------
esound (0.2.41-10build3) precise; urgency=low

  * promote pulseaudio-esound-compat to recommends (LP: #930703)
 -- Nathan Williams <email address hidden> Thu, 08 Mar 2012 09:03:50 -0800

Changed in esound (Ubuntu):
status: Triaged → Fix Released
Revision history for this message
Miguel Mendes Ruiz (migmruiz) wrote :

pulseaudio-esound-compat is still in suggests in libesd0 on my precise

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers